<?xml version="1.0" encoding="utf-8"?>
<data xmlns="urn:ietf:params:xml:ns:netconf:base:1.0">
  <netconf xmlns="urn:ietf:params:xml:ns:netmod:notification">
      <streams>
          <stream>
              <name>OPENROADM</name>
          </stream>
    </streams>
  </netconf>
  <org-openroadm-device xmlns="http://org/openroadm/device">
     <info>
      <node-id>ROADM-C1</node-id>
      <node-number>4</node-number>
      <node-type>rdm</node-type>
      <clli>NodeC</clli>
      <vendor>vendorA</vendor>
      <model>model2</model>
      <serial-id>0002</serial-id>
      <ipAddress>127.0.0.11</ipAddress>
      <prefix-length>28</prefix-length>
      <defaultGateway>127.0.0.20</defaultGateway>
      <source>static</source>
      <current-ipAddress>127.0.0.11</current-ipAddress>
      <current-prefix-length>28</current-prefix-length>
      <current-defaultGateway>127.0.0.20</current-defaultGateway>
      <macAddress>00:01:02:03:04:05</macAddress>
      <softwareVersion>swversion1234</softwareVersion>
      <openroadm-version>2.2.1</openroadm-version>
      <template>template_1</template>
      <current-datetime>2017-10-22T15:23:43Z</current-datetime>
      <max-degrees>2</max-degrees>
      <max-srgs>3</max-srgs>
      <geoLocation>
        <latitude>1.0000</latitude>
        <longitude>2.0000</longitude>
      </geoLocation>
      <max-num-bin-15min-historical-pm>32</max-num-bin-15min-historical-pm>
      <max-num-bin-24hour-historical-pm>7</max-num-bin-24hour-historical-pm>
    </info>
    <users>
      <user>
        <name>openroadm</name>
        <password>openroadm</password>
        <group>sudo</group>
      </user>
    </users>
    <circuit-packs>
      <is-pluggable-optics>true</is-pluggable-optics>
      <circuit-pack-name>1/0</circuit-pack-name>
      <circuit-pack-type>WSSDEG</circuit-pack-type>
      <circuit-pack-product-code>DegW</circuit-pack-product-code>
      <administrative-state>inService</administrative-state>
      <vendor>vendorA</vendor>
      <model>WSS9</model>
      <serial-id>nodeid-1234</serial-id>
      <type>Dir1</type>
      <product-code>DegRxTx</product-code>
      <manufacture-date>2017-08-08T10:47:04.698808+00:00</manufacture-date>
      <clei>wss1</clei>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <equipment-state>not-reserved-available</equipment-state>
      <circuit-pack-mode>inServiceMode</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>1</slot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <cp-slots>
        <slot-name>OSC-SLOT</slot-name>
        <label>OSC-SLOT</label>
        <provisioned-circuit-pack>1/0/OSC-PLUG</provisioned-circuit-pack>
      </cp-slots>
      <cp-slots>
        <slot-name>ETH-PLUG</slot-name>
        <label>ETH-PLUG</label>
        <provisioned-circuit-pack>1/0/ETH-PLUG</provisioned-circuit-pack>
      </cp-slots>
      <ports>
        <port-name>C1</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG1-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C2</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG1-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C3</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG1-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C4</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG1-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>L1</port-name>
        <port-type>LINE</port-type>
        <port-qual>roadm-external</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
        <partner-port>
          <circuit-pack-name></circuit-pack-name>
          <port-name></port-name>
        </partner-port>
        <interfaces>
          <interface-name>OTS-DEG1-TTP-TXRX</interface-name>
        </interfaces>
        <interfaces>
          <interface-name>OMS-DEG1-TTP-TXRX</interface-name>
        </interfaces>
        <logical-connection-point>DEG1-TTP-TXRX</logical-connection-point>
      </ports>
    </circuit-packs>
    <circuit-packs>
      <is-pluggable-optics>true</is-pluggable-optics>
      <circuit-pack-name>1/0/ETH-PLUG</circuit-pack-name>
      <circuit-pack-type>port</circuit-pack-type>
      <circuit-pack-product-code>Eth</circuit-pack-product-code>
      <administrative-state>inService</administrative-state>
      <vendor>VENDORA</vendor>
      <model>GIGAETHMGT</model>
      <serial-id>nodeid-1234</serial-id>
      <type>eth</type>
      <product-code>eth</product-code>
      <manufacture-date>2017-08-08T10:47:04.698808+00:00</manufacture-date>
      <clei>ETHE</clei>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <equipment-state>not-reserved-available</equipment-state>
      <circuit-pack-mode>inServiceMode</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>1</slot>
      <subSlot>0</subSlot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <parent-circuit-pack>
        <circuit-pack-name>1/0</circuit-pack-name>
        <cp-slot-name>ETH-PLUG</cp-slot-name>
      </parent-circuit-pack>
      <ports>
        <port-name>ETH-PLUG</port-name>
        <port-type>1GEX</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
    </circuit-packs>
    <circuit-packs>
      <is-pluggable-optics>true</is-pluggable-optics>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <circuit-pack-name>1/0/OSC-PLUG</circuit-pack-name>
      <circuit-pack-type>port</circuit-pack-type>
      <administrative-state>inService</administrative-state>
      <operational-state>inService</operational-state>
      <vendor>vendorA</vendor>
      <model>SFP/SFP+</model>
      <serial-id>00000163600843</serial-id>
      <product-code>oooooo</product-code>
      <manufacture-date>2017-08-08T10:47:04.698808+00:00</manufacture-date>
      <clei>oscplug</clei>
      <hardware-version>01</hardware-version>
      <equipment-state>not-reserved-available</equipment-state>
      <circuit-pack-mode>NORMAL</circuit-pack-mode>
      <shelf>2</shelf>
      <slot>0</slot>
      <subSlot>0</subSlot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <parent-circuit-pack>
        <circuit-pack-name>1/0</circuit-pack-name>
        <cp-slot-name>OSC-SLOT</cp-slot-name>
      </parent-circuit-pack>
      <ports>
        <port-name>OSC-PORT</port-name>
        <port-type>1GEX</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
    </circuit-packs>
    <circuit-packs>
      <is-pluggable-optics>true</is-pluggable-optics>
      <circuit-pack-name>2/0</circuit-pack-name>
      <circuit-pack-type>WSSDEG</circuit-pack-type>
      <circuit-pack-product-code>DegW</circuit-pack-product-code>
      <administrative-state>inService</administrative-state>
      <vendor>vendorA</vendor>
      <model>WSS9</model>
      <serial-id>nodeid-1234</serial-id>
      <type>Dir2</type>
      <product-code>DegRxTx</product-code>
      <manufacture-date>2017-08-08T10:47:04.698808+00:00</manufacture-date>
      <clei>wss1</clei>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <equipment-state>not-reserved-available</equipment-state>
      <circuit-pack-mode>inServiceMode</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>2</slot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <cp-slots>
        <slot-name>OSC-SLOT</slot-name>
        <label>OSC-SLOT</label>
        <provisioned-circuit-pack>2/0/OSC-PLUG</provisioned-circuit-pack>
      </cp-slots>
      <cp-slots>
        <slot-name>ETH-PLUG</slot-name>
        <label>ETH-PLUG</label>
        <provisioned-circuit-pack>1/0/ETH-PLUG</provisioned-circuit-pack>
      </cp-slots>
      <ports>
        <port-name>C1</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG2-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C2</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG2-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C3</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG2-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C4</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>DEG2-CTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>L1</port-name>
        <port-type>LINE</port-type>
        <port-qual>roadm-external</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <partner-port>
          <circuit-pack-name></circuit-pack-name>
          <port-name></port-name>
        </partner-port>
        <logical-connection-point>DEG2-TTP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
    </circuit-packs>
    <circuit-packs>
      <is-pluggable-optics>true</is-pluggable-optics>
      <circuit-pack-name>2/0/ETH-PLUG</circuit-pack-name>
      <circuit-pack-type>port</circuit-pack-type>
      <circuit-pack-product-code>Eth</circuit-pack-product-code>
      <administrative-state>inService</administrative-state>
      <vendor>VendorA</vendor>
      <model>GIGAETHMGT</model>
      <serial-id>nodeid-1234</serial-id>
      <type>eth</type>
      <product-code>eth</product-code>
      <manufacture-date>2017-08-08T10:47:04.698808+00:00</manufacture-date>
      <clei>ETHE</clei>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <equipment-state>not-reserved-available</equipment-state>
      <circuit-pack-mode>inServiceMode</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>2</slot>
      <subSlot>0</subSlot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <parent-circuit-pack>
        <circuit-pack-name>2/0</circuit-pack-name>
        <cp-slot-name>ETH-PLUG</cp-slot-name>
      </parent-circuit-pack>
      <ports>
        <port-name>ETH-PLUG</port-name>
        <port-type>1GEX</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
    </circuit-packs>
    <circuit-packs>
      <is-pluggable-optics>true</is-pluggable-optics>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <circuit-pack-name>2/0/OSC-PLUG</circuit-pack-name>
      <circuit-pack-type>port</circuit-pack-type>
      <administrative-state>inService</administrative-state>
      <operational-state>inService</operational-state>
      <vendor>vendorA</vendor>
      <model>SFP/SFP+</model>
      <serial-id>00000163600843</serial-id>
      <product-code>oooooo</product-code>
      <manufacture-date>2017-08-08T10:47:04.698808+00:00</manufacture-date>
      <clei>oscplug</clei>
      <hardware-version>01</hardware-version>
      <equipment-state>not-reserved-available</equipment-state>
      <circuit-pack-mode>NORMAL</circuit-pack-mode>
      <shelf>2</shelf>
      <slot>0</slot>
      <subSlot>0</subSlot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <parent-circuit-pack>
        <circuit-pack-name>1/0</circuit-pack-name>
        <cp-slot-name>OSC-SLOT</cp-slot-name>
      </parent-circuit-pack>
      <ports>
        <port-name>OSC-PORT</port-name>
        <port-type>1GEX</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
    </circuit-packs>
    <circuit-packs>
      <is-pluggable-optics>true</is-pluggable-optics>
      <circuit-pack-name>3/0</circuit-pack-name>
      <circuit-pack-type>ADDDROP</circuit-pack-type>
      <circuit-pack-product-code>SRGRx</circuit-pack-product-code>
      <administrative-state>inService</administrative-state>
      <vendor>vendorA</vendor>
      <model>WSS</model>
      <serial-id>nodeid-1234</serial-id>
      <type>SRG1</type>
      <product-code>SRGRx</product-code>
      <manufacture-date>2007-10-10T00:00:00Z</manufacture-date>
      <clei>12345678901</clei>
      <hardware-version>0.1</hardware-version>
      <operational-state>inService</operational-state>
      <circuit-pack-category>
        <type>circuitPack</type>
      </circuit-pack-category>
      <equipment-state>reserved-for-facility-available</equipment-state>
      <circuit-pack-mode>inServiceMode</circuit-pack-mode>
      <shelf>1</shelf>
      <slot>2</slot>
      <is-physical>true</is-physical>
      <is-passive>true</is-passive>
      <faceplate-label>xponder-XPDRA</faceplate-label>
      <ports>
        <port-name>C1</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-external</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>SRG1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <partner-port>
          <circuit-pack-name></circuit-pack-name>
          <port-name></port-name>
        </partner-port>
        <logical-connection-point>SRG1-PP1</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C2</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-external</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>SRG1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <partner-port>
          <circuit-pack-name></circuit-pack-name>
          <port-name></port-name>
        </partner-port>
        <logical-connection-point>SRG1-PP2</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C3</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-external</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>SRG1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <partner-port>
          <circuit-pack-name></circuit-pack-name>
          <port-name></port-name>
        </partner-port>
        <logical-connection-point>SRG1-PP3</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>C4</port-name>
        <port-type>Client</port-type>
        <port-qual>roadm-external</port-qual>
        <port-wavelength-type>wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <circuit-id>SRG1</circuit-id>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <partner-port>
          <circuit-pack-name></circuit-pack-name>
          <port-name></port-name>
        </partner-port>
        <logical-connection-point>SRG1-PP4</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>AD-DEG1</port-name>
        <port-type>Edge</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>SRG1-CP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
      <ports>
        <port-name>AD-DEG2</port-name>
        <port-type>Edge</port-type>
        <port-qual>roadm-internal</port-qual>
        <port-wavelength-type>multi-wavelength</port-wavelength-type>
        <port-direction>bidirectional</port-direction>
        <administrative-state>inService</administrative-state>
        <operational-state>inService</operational-state>
        <logical-connection-point>SRG1-CP-TXRX</logical-connection-point>
        <is-physical>true</is-physical>
        <faceplate-label>xponder-XPDRA</faceplate-label>
      </ports>
    </circuit-packs>

    <interface>
      <name>1GE-interface-1</name>
      <supporting-circuit-pack-name>1/0/ETH-PLUG</supporting-circuit-pack-name>
      <supporting-port>ETH-PLUG</supporting-port>
      <type xmlns:openROADM-if="http://org/openroadm/interfaces">openROADM-if:ethernetCsmacd</type>
      <operational-state>inService</operational-state>
      <administrative-state>inService</administrative-state>
      <ethernet xmlns="http://org/openroadm/ethernet-interfaces">
        <speed>1000</speed>
        <duplex>full</duplex>
        <auto-negotiation>enabled</auto-negotiation>
        <curr-speed>1000</curr-speed>
        <curr-duplex>FULL</curr-duplex>
      </ethernet>
   </interface>
   <interface>
      <name>1GE-interface-2</name>
      <supporting-circuit-pack-name>2/0/ETH-PLUG</supporting-circuit-pack-name>
      <supporting-port>ETH-PLUG</supporting-port>
      <type xmlns:openROADM-if="http://org/openroadm/interfaces">openROADM-if:ethernetCsmacd</type>
      <operational-state>inService</operational-state>
      <administrative-state>inService</administrative-state>
      <ethernet xmlns="http://org/openroadm/ethernet-interfaces">
        <speed>1000</speed>
        <duplex>full</duplex>
        <auto-negotiation>enabled</auto-negotiation>
        <curr-speed>1000</curr-speed>
        <curr-duplex>FULL</curr-duplex>
      </ethernet>
   </interface>
   <interface>
      <name>OTS-DEG1-TTP-TXRX</name>
      <supporting-circuit-pack-name>1/0</supporting-circuit-pack-name>
      <supporting-port>L1</supporting-port>
      <type xmlns:openROADM-if="http://org/openroadm/interfaces">openROADM-if:opticalTransport</type>
      <operational-state>inService</operational-state>
      <administrative-state>inService</administrative-state>
      <ots xmlns="http://org/openroadm/optical-transport-interfaces">
        <fiber-type>smf</fiber-type>
        <span-loss-transmit>6</span-loss-transmit>
        <span-loss-receive>15</span-loss-receive>
        <ingress-span-loss-aging-margin>0</ingress-span-loss-aging-margin>
      </ots>
   </interface>
    <interface>
      <name>OMS-DEG1-TTP-TXRX</name>
      <supporting-circuit-pack-name>1/0</supporting-circuit-pack-name>
      <supporting-port>L1</supporting-port>
      <type xmlns:openROADM-if="http://org/openroadm/interfaces">openROADM-if:openROADMOpticalMultiplex</type>
      <description>TBD</description>
      <circuit-id>TBD</circuit-id>
      <operational-state>inService</operational-state>
      <administrative-state>inService</administrative-state>
    </interface>

    <protocols>
      <lldp xmlns="http://org/openroadm/lldp">
        <global-config>
          <adminStatus>enable</adminStatus>
          <msgTxHoldMultiplier>4</msgTxHoldMultiplier>
          <msgTxInterval>20</msgTxInterval>
        </global-config>
        <nbr-list>
          <if-name>
            <ifName>1GE-interface-1</ifName>
            <remoteSysName>ROADM-A1</remoteSysName>
            <remoteMgmtAddress>1.1.1.1</remoteMgmtAddress>
            <remoteChassisId>1?</remoteChassisId>
            <remotePortId>1GE-interface-2</remotePortId>
            <remoteChassisIdSubType>chassiscomponent</remoteChassisIdSubType>
            <remotePortIdSubType>ifalias</remotePortIdSubType>
            <remoteMgmtAddressSubType>ipV4</remoteMgmtAddressSubType>
          </if-name>
          <if-name>
            <ifName>1GE-interface-2</ifName>
            <remoteSysName>ROADM-B1</remoteSysName>
            <remoteMgmtAddress>1.1.1.1</remoteMgmtAddress>
            <remoteChassisId>1?</remoteChassisId>
            <remotePortId>1GE-interface-2</remotePortId>
            <remoteChassisIdSubType>chassiscomponent</remoteChassisIdSubType>
            <remotePortIdSubType>ifalias</remotePortIdSubType>
            <remoteMgmtAddressSubType>ipV4</remoteMgmtAddressSubType>
          </if-name>
        </nbr-list>
        <port-config>
          <ifName>1GE-interface-1</ifName>
          <adminStatus>txandrx</adminStatus>
        </port-config>
        <port-config>
          <ifName>1GE-interface-2</ifName>
          <adminStatus>txandrx</adminStatus>
        </port-config>
      </lldp>
    </protocols>

    <degree>
      <degree-number>1</degree-number>
      <max-wavelengths>96</max-wavelengths>
      <circuit-packs>
        <index>1</index>
        <circuit-pack-name>1/0</circuit-pack-name>
      </circuit-packs>
      <circuit-packs>
        <index>2</index>
        <circuit-pack-name>1/0/ETH-PLUG</circuit-pack-name>
      </circuit-packs>
      <connection-ports>
        <index>1</index>
        <circuit-pack-name>1/0</circuit-pack-name>
        <port-name>L1</port-name>
      </connection-ports>
    </degree>
    <degree>
      <degree-number>2</degree-number>
      <max-wavelengths>96</max-wavelengths>
      <circuit-packs>
        <index>1</index>
        <circuit-pack-name>2/0</circuit-pack-name>
      </circuit-packs>
      <circuit-packs>
        <index>2</index>
        <circuit-pack-name>2/0/ETH-PLUG</circuit-pack-name>
      </circuit-packs>
      <connection-ports>
        <index>1</index>
        <circuit-pack-name>2/0</circuit-pack-name>
        <port-name>L1</port-name>
      </connection-ports>
    </degree>
    <shared-risk-group>
      <srg-number>1</srg-number>
      <max-add-drop-ports>4</max-add-drop-ports>
      <wavelength-duplication>one-per-srg</wavelength-duplication>
      <circuit-packs>
        <index>1</index>
        <circuit-pack-name>3/0</circuit-pack-name>
      </circuit-packs>
      <current-provisioned-add-drop-ports>4</current-provisioned-add-drop-ports>
    </shared-risk-group>
  </org-openroadm-device>

  <current-pm-list xmlns="http://org/openroadm/pm">
  <current-pm-entry>
    <pm-resource-instance xmlns:d="http://org/openroadm/device">/d:org-openroadm-device/d:interface[d:name='OTS-DEG1-TTP-TXRX']</pm-resource-instance>
    <pm-resource-type>interface</pm-resource-type>
    <pm-resource-type-extension></pm-resource-type-extension>
    <start-time>2018-06-06T10:00:00+00:00</start-time>
    <retrieval-time>2018-06-07T13:22:58+00:00</retrieval-time>
    <current-pm>
      <type>opticalPowerOutput</type>
      <extension></extension>
      <location>nearEnd</location>
      <direction>tx</direction>
      <measurement>
        <granularity>15min</granularity>
        <pmParameterValue>4.6</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
      <measurement>
        <granularity>24Hour</granularity>
        <pmParameterValue>3.26</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
    </current-pm>
    <current-pm>
      <type>opticalPowerInput</type>
      <extension></extension>
      <location>nearEnd</location>
      <direction>rx</direction>
      <measurement>
        <granularity>15min</granularity>
        <pmParameterValue>-15.1</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
      <measurement>
        <granularity>24Hour</granularity>
        <pmParameterValue>-17.3</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
    </current-pm>
    <current-pm>
      <type>opticalReturnLoss</type>
      <extension></extension>
      <location>nearEnd</location>
      <direction>rx</direction>
      <measurement>
        <granularity>15min</granularity>
        <pmParameterValue>49.1</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
      <measurement>
        <granularity>24Hour</granularity>
        <pmParameterValue>45</pmParameterValue>
        <pmParameterUnit>dBm</pmParameterUnit>
        <validity>complete</validity>
      </measurement>
    </current-pm>
  </current-pm-entry>
  </current-pm-list>

  <current-pm-description xmlns="http://honeynode-simulator/pm-handling">
    <pm-generation-rules>
      <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:opticalTransport</triggering-interface>
      <pm-name-prefix>opticalPowerOutput</pm-name-prefix>
      <!--This PM is generated on ROADMs on creation of the first NMC (MediaChannel) interface nmc-ttp-DEGX-TTP-[TX/TXRX]-[frequency]-->
      <!--Its value will be changed as additional NMC are created-->
      <analog>true</analog>
      <!--Default value is purely indicative, the value shall be set trough pm-interact RPC according to a value calculated from span loss and Power mask -->
      <!--The value set through the RPC will be the value to keep as a reference out of any forced mode use to simulate a failure -->
      <default-current-value>0</default-current-value>
      <max-value>21.82</max-value>
      <min-value>-9.0</min-value>
      <!--Evolution range is a percentage of the min max range expressed in dB-->
      <evolution-range>5</evolution-range>
    </pm-generation-rules>
    <pm-generation-rules>
      <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:opticalTransport</triggering-interface>
      <pm-name-prefix>opticalPowerInput</pm-name-prefix>
      <!--This PM is generated on ROADMs on creation of a NMC (MediaChannel) interface nmc-ttp-DEGX-TTP-[RX/TXRX]-[frequency]-->
      <analog>true</analog>
      <!--Default value is purely indicative, the value shall be set trough pm-interact RPC according to a value calculated from span loss and Power mask -->
      <!--The value set through the RPC will be the value to keep as a reference out of any forced mode use to simulate a failure -->
      <default-current-value>-17.0</default-current-value>
      <max-value>-9.0</max-value>
      <min-value>-25.0</min-value>
      <!--Evolution range is a percentage of the min max range expressed in dB-->
      <evolution-range>10</evolution-range>
    </pm-generation-rules>
    <pm-generation-rules>
      <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:openROADMOpticalMultiplex</triggering-interface>
      <pm-name-prefix>opticalPowerOutput</pm-name-prefix>
      <!--This PM is generated on ROADMs on creation of the first NMC (MediaChannel) interface nmc-ttp-DEGX-TTP-[TX/TXRX]-[frequency]-->
      <!--Its value will be changed as additional NMC are created-->
      <analog>true</analog>
      <!--Default value is purely indicative, the value shall be set trough pm-interact RPC according to a value calculated from span loss and Power mask -->
      <!--The value set through the RPC will be the value to keep as a reference out of any forced mode use to simulate a failure -->
      <default-current-value>0</default-current-value>
      <max-value>21.82</max-value>
      <min-value>-9.0</min-value>
      <!--Evolution range is a percentage of the min max range expressed in dB-->
      <evolution-range>5</evolution-range>
    </pm-generation-rules>
    <pm-generation-rules>
      <triggering-interface xmlns:org-openroadm-interfaces="http://org/openroadm/interfaces">org-openroadm-interfaces:openROADMOpticalMultiplex</triggering-interface>
      <pm-name-prefix>opticalPowerInput</pm-name-prefix>
      <!--This PM is generated on ROADMs on creation of a NMC (MediaChannel) interface nmc-ttp-DEGX-TTP-[RX/TXRX]-[frequency]-->
      <analog>true</analog>
      <!--Default value is purely indicative, the value shall be set trough pm-interact RPC according to a value calculated from span loss and Power mask -->
      <!--The value set through the RPC will be the value to keep as a reference out of any forced mode use to simulate a failure -->
      <default-current-value>-17.0</default-current-value>
      <max-value>-9.0</max-value>
      <min-value>-25.0</min-value>
      <!--Evolution range is a percentage of the min max range expressed in dB-->
      <evolution-range>10</evolution-range>
    </pm-generation-rules>
  </current-pm-description>


 </data>
